# Uses of Interface
org.springframework.cglib.core.Predicate

Packages that use Predicate
Package
Description
org.springframework.cglib.core
Spring's repackaging of the CGLIB core package (for internal use only).

## Uses of Predicate in org.springframework.cglib.core

Classes in org.springframework.cglib.core that implement Predicate
Modifier and Type
Class
Description
`class`
`DuplicatesPredicate`
`class`
`RejectModifierPredicate`
`class`
`VisibilityPredicate`
Methods in org.springframework.cglib.core that return Predicate
Modifier and Type
Method
Description
`Predicate`
AbstractClassGenerator.ClassLoaderData.`getUniqueNamePredicate()`
Methods in org.springframework.cglib.core with parameters of type Predicate
Modifier and Type
Method
Description
`static Collection`
CollectionUtils.`filter(Collection c, Predicate p)`
`String`
DefaultNamingPolicy.`getClassName(String prefix, String source, Object key, Predicate names)`
`String`
NamingPolicy.`getClassName(String prefix, String source, Object key, Predicate names)`
Choose a name for a generated class.
`String`
SpringNamingPolicy.`getClassName(String prefix, String source, Object key, Predicate names)`